require_relative "server_operation_error"

module Devops
  module Exception
    class DeployError < ServerOperationError

      def error_code
        Devops::Executor::ServerOperationResult.code_of_reason(:deploy_failed)
      end

      def operation_type
        Devops::Model::Server::OperationType::DEPLOY
      end

      def error_message msg
        "Failed while deploing server\nDeploing server operation result was: #{msg}"
      end

    end
  end
end

